Bug 445036 - Review Request: vagalume - Last.fm client for GNOME and Maemo
Review Request: vagalume - Last.fm client for GNOME and Maemo
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 453194 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-02 17:10 EDT by Michel Alexandre Salim
Modified: 2008-06-29 06:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-20 13:58:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-05-02 17:10:06 EDT
Spec URL: http://salimma.fedorapeople.org/for_review/music/vagalume.spec
SRPM URL: http://salimma.fedorapeople.org/for_review/music/vagalume-0.5.1-1.fc9.src.rpm
Description:
**NOTE** vagalume uses GStreamer, so while not usable out-of-the-box without an MP3 decoder, it does not break any Fedora guidelines. Let me know if I should add a README.Fedora stating that users are responsible for finding a way to play MP3 themselves (presumably we could point to the free MP3 codec from Fluendo)

Vagalume is a Last.fm client based on Gnome, and specially designed to
work in the Maemo platform.

Vagalume has the following features:

   * It plays Last.fm streams using the Last.fm protocol v1.2
   * It can play any Last.fm radio: personal, neighbours, loved
     tracks, or any other arbitrary URL.
   * It can download free tracks
   * It implements the Audioscrobbler Realtime Submission Protocol
     v1.2, specifically:
      * Now Playing information
      * Scrobbling of tracks that you listen
      * Love/Ban ratings
   * It displays the album cover of the track being played
   * The user can tag artists, tracks and albums
   * The user can send recommendations to other users
   * The user can add tracks to their playlist
Comment 1 Jason Tibbitts 2008-05-02 18:18:16 EDT
Does this do anything useful when you don't have the codecs?  Because, say,
amarok can do a lot of that while it's playing ogg tracks.
Comment 2 Michel Alexandre Salim 2008-05-03 00:12:37 EDT
Could potentially be useful if/when Last.fm serves out files in other formats.
Otherwise -- well, it can play any arbitrary lastfm URL, so if someone
reimplements the protocol and serves out Ogg Vorbis tracks, Vagalume should
handle it just fine.
Comment 3 Michel Alexandre Salim 2008-05-19 12:59:53 EDT
Updated to 0.6; can now update status message. Will submit to Livna if the
package is not considered proper for Fedora.

Spec URL: http://salimma.fedorapeople.org/for_review/music/vagalume.spec
SRPM URL:
http://salimma.fedorapeople.org/for_review/music/vagalume-0.6-1.fc9.src.rpm
Comment 5 Hans de Goede 2008-05-20 13:58:47 EDT
I've asked Spot and he agrees with Jason that since this package is not usable
without non-free stuff, its not ok for Fedora. Closing as can't fix.

Salimm,

Can you add a comment to the livna review that the review should continue there,
I don't have the bug number handy.
Comment 6 Debarshi Ray 2008-06-29 06:54:59 EDT
*** Bug 453194 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.